# IgnoreMoveEffectsAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class IgnoreMoveEffectsAbAttr

Sets incoming moves additional effect chance to zero, ignoring all effects from moves. ie. Shield Dust.

#### See

`applyPreDefend`

#### Hierarchy (view full)

- PreDefendAbAttr
  - IgnoreMoveEffectsAbAttr

- Defined in src/data/ability.ts:1084

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPreDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new IgnoreMoveEffectsAbAttr(showAbility?): IgnoreMoveEffectsAbAttr

- #### Parameters

  - showAbility: boolean = true

  #### Returns IgnoreMoveEffectsAbAttr

  Inherited from PreDefendAbAttr.constructor

  - Defined in src/data/ability.ts:131

## Properties

### showAbility

showAbility: boolean

Inherited from PreDefendAbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreDefendAbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreDefendAbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPreDefend

- applyPreDefend(pokemon, passive, attacker, move, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - cancelled: BooleanHolder
  - args: any[]

    [0]: `Utils.NumberHolder` Move additional effect chance.

  #### Returns boolean

  Overrides PreDefendAbAttr.applyPreDefend

  - Defined in src/data/ability.ts:1088

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreDefendAbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PreDefendAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139